<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Warehouse](./bitburner.warehouse.md)

## Warehouse interface

Warehouse for a division in a city

**Signature:**

```typescript
interface Warehouse 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[city](./bitburner.warehouse.city.md)


</td><td>


</td><td>

[CityName](./bitburner.cityname.md)


</td><td>

City in which the warehouse is located


</td></tr>
<tr><td>

[level](./bitburner.warehouse.level.md)


</td><td>


</td><td>

number


</td><td>

Amount of size upgrade bought


</td></tr>
<tr><td>

[size](./bitburner.warehouse.size.md)


</td><td>


</td><td>

number


</td><td>

Total space in the warehouse


</td></tr>
<tr><td>

[sizeUsed](./bitburner.warehouse.sizeused.md)


</td><td>


</td><td>

number


</td><td>

Used space in the warehouse


</td></tr>
<tr><td>

[smartSupplyEnabled](./bitburner.warehouse.smartsupplyenabled.md)


</td><td>


</td><td>

boolean


</td><td>

Smart Supply status in the warehouse


</td></tr>
</tbody></table>

